pip install tensorflow 时报错 ERROR: Could not find a version that satisfies the requirement tensorflow

在安装对应版本tensorflow时,pip install tensorflow 时报错

一、Bug报错截图:

例如:
ERROR: Could not find a version that satisfies the requirement tensorflow == 1.13 (from versions: 2.2.0rc1, 2.2.0rc2, 2.2.0rc3, 2.2.0rc4, 2.2.0, 2.2.1, 2.2.2, 2.2.3, 2.3.0rc0, 2.3.0rc1, 2.3.0rc2, 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.4.0rc0, 2.4.0rc1, 2.4.0rc2, 2.4.0rc3, 2.4.0rc4, 2.4.0, 2.4.1, 2.4.2, 2.4.3, 2.4.4, 2.5.0rc0, 2.5.0rc1, 2.5.0rc2, 2.5.0rc3, 2.5.0, 2.5.1, 2.5.2, 2.6.0rc0, 2.6.0rc1, 2.6.0rc2, 2.6.0, 2.6.1, 2.6.2, 2.7.0rc0, 2.7.0rc1, 2.7.0, 2.8.0rc0)
ERROR: No matching distribution found for tensorflow==1.13

pip install tensorflow 时报错 ERROR: Could not find a version that satisfies the requirement tensorflow

; 二、Bug分析解决

(建议打开Anaconda Powershell Prompt (Anaconda3),不建议直接在vscode里面终端操作)

pip install tensorflow 时报错 ERROR: Could not find a version that satisfies the requirement tensorflow

首先,要确定python的版本,一般使用anaconda 创建对应python版本环境
比如常见的:conda create -n 环境名 python=3.6
之后环境创建好后,conda activate 环境名
pip -V查看是不是对应版本的python,如果是,
则直接在Anaconda Powershell Prompt里面
pip install tensorflow==对应版本,中途可能要装一些依赖包,直接pip 安装即可,
这个问题核心主要是pip 对应正确的python版本,比如python3.9好像就找不到tensorflow == 1.15的包

欢迎扫码关注我的公众号:编程点评与思考随笔

[En]

Welcome to scan the code and follow my official account: programming review and thinking essay

(关注后可以免费获得本人在csdn发布的资源源码)

公众号主要记录编程和做题的总结和经验。并分享一些关于阅读、工作和生活的想法和见解!

[En]

The official account mainly records the summary and experience of programming and doing exercises. And share some thoughts and insights in reading, work and life!

pip install tensorflow 时报错 ERROR: Could not find a version that satisfies the requirement tensorflow

想要组队一起参加阿里天池,kaggle,百度飞浆,科大讯飞等AI相关的比赛的同学可以扫下面的二维码加微信一起讨论学习!

pip install tensorflow 时报错 ERROR: Could not find a version that satisfies the requirement tensorflow

Original: https://blog.csdn.net/qq_43498345/article/details/122221718
Author: Al资料站与复盘笔记
Title: pip install tensorflow 时报错 ERROR: Could not find a version that satisfies the requirement tensorflow

原创文章受到原创版权保护。转载请注明出处:https://www.johngo689.com/497207/

转载文章受原作者版权保护。转载请注明原作者出处!

(0)

大家都在看

亲爱的 Coder【最近整理,可免费获取】👉 最新必读书单  | 👏 面试题下载  | 🌎 免费的AI知识星球